[Python-modules-team] requests_0.10.1-1_amd64.changes is NEW

Debian FTP Masters ftpmaster at ftp-master.debian.org
Sun Feb 5 15:13:15 UTC 2012

  to main/r/requests/python-requests_0.10.1-1_all.deb
(new) python3-requests_0.10.1-1_all.deb optional python
elegant and simple HTTP library for Python3, built for human beings
 Requests allow you to send GET, HEAD, PUT, POST, and DELETE
 HTTP requests. You can add headers, form data, multipart files, and
 parameters with simple Python dictionaries, and access the response
 data in the same way. It's powered by urllib2, but it does all the
 hard work and crazy hacks for you.
   - Extremely simple GET, HEAD, POST, PUT, DELETE Requests
   - Simple HTTP Header Request Attachment
   - Simple Data/Params Request Attachment
   - Simple Multipart File Uploads
   - CookieJar Support
   - Redirection History
   - Proxy Support
   - Redirection Recursion Urllib Fix
   - Auto Decompression of GZipped Content
   - Unicode URL Support
   - Simple Authentication: Simple URL + HTTP Auth Registry
 This package contains the Python 3 version of the library.
  to main/r/requests/requests_0.10.1-1.debian.tar.gz
  to main/r/requests/requests_0.10.1-1.dsc
  to main/r/requests/requests_0.10.1.orig.tar.gz
Changes: requests (0.10.1-1) unstable; urgency=low
  * New upstream release
    - Adds Python 3 support
  * Builded python 3 package
  * debian/control
    - Added python-chardet to Recommends
    - Bumped X-Python-Version >= 2.6
    - Added ca-certificates to Depends
    - Added python3-all to Build-Depends
  * debian/copyright
    - Updated Format URI
    - Updated copyright years
  * debian/patches/01_do-not-use-python-certifi.patch
    - To verify SSL certificates for HTTPS requests, use the bundle provided by
      ca-certificates instead of python-certifi
  * debian/patches/02_fix-python3-except-sintax-error.patches
    - Fix SyntaxError on Python3 because "except Error, e" is not supported
  * debian/rules
    - Added override_dh_auto_clean to make the package build twice in a row

Override entries for your package:
python-requests_0.10.1-1_all.deb - optional python
requests_0.10.1-1.dsc - source python

Announcing to debian-devel-changes at lists.debian.org

Your package contains new components which requires manual editing of
the override file.  It is ok otherwise, so please be patient.  New
packages are usually added to the override file about once a week.

You may have gotten the distribution wrong.  You'll get warnings above
if files already exist in other distributions.

More information about the Python-modules-team mailing list